Subject: Re: [PATCH 1/3] test-lib: allow selecting tests by substring/regex with --run

From: Taylor Blau <[email-masked]>
Date: Tue, 13 Oct 2020 11:39:01 -0400

On Mon, Oct 12, 2020 at 11:26:02PM +0000, Elijah Newren via GitGitGadget wrote:
> diff --git a/t/README b/t/README
> index 2adaf7c2d2..23639c5bcf 100644
> --- a/t/README
> +++ b/t/README
> @@ -258,13 +258,13 @@ For an individual test suite --run could be used to specify that
>  only some tests should be run or that some tests should be
>  excluded from a run.
>
> -The argument for --run is a list of individual test numbers or
> -ranges with an optional negation prefix that define what tests in
> -a test suite to include in the run.  A range is two numbers
> -separated with a dash and matches a range of tests with both ends
> -been included.  You may omit the first or the second number to
> -mean "from the first test" or "up to the very last test"
> -respectively.
> +The argument for --run, <test-selector>, is a list of description
> +substrings or regexes or individual test numbers or ranges with an
> +optional negation prefix that define what tests in a test suite to
> +include in the run.  A range is two numbers separated with a dash and
> +matches a range of tests with both ends been included.  You may omit
> +the first or the second number to mean "from the first test" or "up to
> +the very last test" respectively.
>
>  Optional prefix of '!' means that the test or a range of tests
>  should be excluded from the run.

This piece of documentation looks to be now out of date; it mentions a
"test or range of tests", but that only covers a two of the now four
ways to describe a test.

The rest of the patch looks great to me; and I, too, am very excited
about it.

Thanks,
Taylor